package org.jeecg.modules.system.mapper;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.system.entity.SysOperateRel;

import java.util.List;

/**
 * 助理和运营关系记录表
 *
 * @author jeecg-boot
 * 2022-09-16
 * @version V1.0
 */
public interface SysOperateRelMapper extends BaseMapper<SysOperateRel> {

    void add(@Param("rel") SysOperateRel sysOperateRel);

    SysOperateRel getOne(@Param("assistantId") String assistantId);

    List<JSONObject> queryPageList(SysOperateRel sysOperateRel);

    List<SysOperateRel> getMore(@Param("userId") String userId, @Param("startDate") Integer startDate, @Param("endDate") Integer endDate);

    List<SysOperateRel> getMoreByOperatorId(@Param("userId") String userId, @Param("startDate") Integer startDate, @Param("endDate") Integer endDate);
}
